<?php

namespace Database\Seeders;

use App\Models\Category;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $category_names = ['Birthday', 'New Year', 'Wedding', 'Eid', 'Christmas', 'Halloween'];

        foreach ($category_names as $item) {
            $category = new Category();
            $category->name = $item;
            $category->save();
        }
    }
}
