<?php

use App\Models\Order;
use App\Models\Setting;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('login', function () {
    return "wrong route";
})->name('login');
Route::get('/', function () {
    return view('welcome');
})->name('home');

Route::get('test/{id}', function ($id) {
    $order = Order::where('id',$id)->with('postCardWithShop')->with('customer')->first();
    $tax_percentage = Setting::where('type', 'tax_percentage')->first(['type', 'value']);
    $tax_percentage = $tax_percentage->value ?? 10;
    return view('invoice_email', compact('order', 'tax_percentage'));
})->name('test');