<?php

namespace App\Http\Controllers;

use App\Services\Interface\ContactUsInterface;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;

class ContactUsController extends Controller
{
    public function add(ContactUsInterface $i_contact_us, Request $request)
    {
        try {
            return $i_contact_us->add($request);
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }
}
