<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('general_infos', function (Blueprint $table) {
            $table->dropColumn('type');
        });
        Schema::table('general_infos', function (Blueprint $table) {
            $table->enum('type', ['about-us', 'privacy-policy', 'terms-and-conditions', 'delete-message']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('general_infos', function (Blueprint $table) {
            $table->dropColumn('type');
        });
        Schema::table('general_infos', function (Blueprint $table) {
            $table->enum('type', ['about-us', 'privacy-policy', 'terms-and-conditions']);
        });
    }
};
